List a customer's tickets
curl --request GET \
--url https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/tickets \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/tickets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"tickets": [
{
"id": 123,
"conversation_id": 123,
"channel": "whatsapp",
"status_id": 123,
"status": {
"id": 123,
"organization_id": 123,
"name": "<string>",
"state": "open",
"color": "<string>",
"description": "<string>"
},
"priority_id": 123,
"priority": {
"id": 123,
"organization_id": 123,
"name": "<string>",
"color": "<string>",
"weight": 123
},
"created_at": "2023-11-07T05:31:56Z",
"is_archived": true,
"category_id": 123,
"category": {
"id": 123,
"organization_id": 123,
"label": "<string>",
"parent_id": 123
},
"team": {
"id": 123,
"name": "<string>",
"avatar_url": "<string>"
},
"summary": "<string>"
}
]
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}AI service
List a customer's tickets
GET
/
api
/
integration
/
ai_service
/
customer
/
{customer_id}
/
tickets
List a customer's tickets
curl --request GET \
--url https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/tickets \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/tickets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"tickets": [
{
"id": 123,
"conversation_id": 123,
"channel": "whatsapp",
"status_id": 123,
"status": {
"id": 123,
"organization_id": 123,
"name": "<string>",
"state": "open",
"color": "<string>",
"description": "<string>"
},
"priority_id": 123,
"priority": {
"id": 123,
"organization_id": 123,
"name": "<string>",
"color": "<string>",
"weight": 123
},
"created_at": "2023-11-07T05:31:56Z",
"is_archived": true,
"category_id": 123,
"category": {
"id": 123,
"organization_id": 123,
"label": "<string>",
"parent_id": 123
},
"team": {
"id": 123,
"name": "<string>",
"avatar_url": "<string>"
},
"summary": "<string>"
}
]
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Path Parameters
Query Parameters
Response
Request fulfilled, document follows
Show child attributes
Show child attributes